> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un article

> Renvoie un article par son identifiant.

Renvoie un article par son identifiant.

```json Réponse theme={null}
{
  "articlesByPk": {
    "id": 11,
    "code": "CAM-PEEK",
    "name": "Came PEEK",
    "unit": "pce",
    "type": "FINISHED_GOOD",
    "status": "ACTIVE",
    "sellingPrice": 85
  }
}
```


## OpenAPI

````yaml openapi.json GET /articles/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /articles/{id}:
    get:
      summary: Retrieve an article
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  articlesByPk:
                    description: >-
                      Articles with physical reality (= manage-able in stock).
                      This table includes all article types (raw materials,
                      semi-finished, finished products, consumables, etc.)
                    nullable: true
                    properties:
                      code:
                        nullable: true
                        type: string
                      description:
                        nullable: true
                        type: string
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                      purchasePrice:
                        $ref: '#/components/schemas/numeric'
                      sellingPrice:
                        $ref: '#/components/schemas/numeric'
                      status:
                        $ref: '#/components/schemas/article_status'
                      type:
                        nullable: true
                        type: string
                      unit:
                        nullable: true
                        type: string
                    type: object
          description: Response
components:
  schemas:
    numeric:
      nullable: false
    article_status:
      nullable: false

````